"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const constants_1 = require("../utils/constants");
class FileSystemResolver {
    read(fileUrl) {
        return fs.readFileSync(path.resolve(fileUrl)).toString();
    }
    write(fileUrl, value) {
        fs.writeFileSync(path.resolve(fileUrl), value);
    }
    delete(fileUrl) {
        fs.unlinkSync(path.resolve(fileUrl));
    }
    exists(path) {
        return fs.existsSync(path);
    }
    projectFiles(directory) {
        const path = directory || '.';
        const files = this.readDirectory(path);
        return files.filter(file => file.endsWith(constants_1.projectFileSuffix));
    }
    schemaFiles(directory) {
        const path = directory || '.';
        const files = this.readDirectory(path);
        return files.filter(file => file.endsWith(constants_1.schemaFileSuffix));
    }
    readDirectory(path) {
        return fs.readdirSync(path);
    }
}
exports.default = FileSystemResolver;
//# sourceMappingURL=FileSystemResolver.js.map