"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const chalk = require("chalk");
const constants_1 = require("../utils/constants");
const figures = require("figures");
class TestOut {
    write(message) {
        fs.appendFileSync('test.out', message);
    }
    writeError(message) {
        fs.appendFileSync('test.out', message);
    }
    startSpinner(message) {
    }
    stopSpinner() {
    }
    prefix(description, command) {
        const separator = '================================================================================';
        const message = `\n${separator}\n${description}\n${separator}\n${command}\n`;
        fs.appendFileSync('test.out', message);
    }
    onError(error) {
        // prevent the same error output twice
        const errorMessage = `Error: ${error.message}`;
        if (error.stack && !error.stack.startsWith(errorMessage)) {
            const message = `${chalk.red(figures.cross)}  Error: ${errorMessage}\n`;
            this.write(`${message}\n`);
        }
        else {
            const errorLines = error.stack.split('\n');
            const firstErrorLine = errorLines[0];
            const message = `${chalk.red(figures.cross)}  ${firstErrorLine}`;
            this.write(`${message}\n`);
        }
        this.write(`\n${constants_1.setDebugMessage}\n${constants_1.contactUsInSlackMessage}\n`);
    }
}
exports.default = TestOut;
//# sourceMappingURL=TestOut.js.map