"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schemas_1 = require("./schemas");
/*
 * Testing
 */
exports.testToken = 'abcdefghijklmnopqrstuvwxyz';
exports.mockProjectFile1 = `\
# project: abcdefghijklmn
# version: 1

${schemas_1.simpleTwitterSchemaWithSystemFields}
`;
exports.clonedMockProjectFile1 = `\
# project: nmlkjihgfedcba
# version: 1

${schemas_1.simpleTwitterSchemaWithSystemFields}
`;
exports.mockProjectFileWithAlias1 = `\
# project: example
# version: 1

${schemas_1.simpleTwitterSchemaWithSystemFields}
`;
exports.mockProjectFile2 = `\
# project: abcdefghijklmn
# version: 2

${schemas_1.modifiedTwitterSchema}
`;
exports.mockProjectFileWithAlias2 = `\
# project: example
# version: 2

${schemas_1.simpleTwitterSchemaWithSystemFields}
`;
exports.mockProjectFile3 = `\
# project: abcdefghijklmn
# version: 3

${schemas_1.modifiedTwitterSchema}`;
exports.mockedPushSchemaResponse = `\
{
  "data": {
    "migrateProject": {
      "migrationMessages": [
        {
          "name": "Customer",
          "description": "A new type with the name \`Customer\` is created.",
          "subDescriptions": [
            {
              "type": "Field",
              "action": "Create",
              "name": "name",
              "description": "A new field with the name \`name\` and type \`String\` is created."
            }
          ],
          "type": "Type",
          "action": "Create"
        },
        {
          "name": "Image",
          "description": "A new type with the name \`Image\` is created.",
          "subDescriptions": [
            {
              "type": "Field",
              "action": "Create",
              "name": "url",
              "description": "A new field with the name \`url\` and type \`String\` is created."
            },
            {
              "type": "Field",
              "action": "Create",
              "name": "type",
              "description": "A new field with the name \`type\` and type \`String\` is created."
            },
            {
              "type": "Field",
              "action": "Create",
              "name": "taken",
              "description": "A new field with the name \`taken\` and type \`DateTime\` is created."
            }
          ],
          "type": "Type",
          "action": "Create"
        },
        {
          "name": "TweetsByCustomer",
          "description": "The relation \`TweetsByCustomer\` is created. It connects the type \`Tweet\` with the type \`Customer\`.",
          "subDescriptions": [],
          "type": "Relation",
          "action": "Create"
        },
        {
          "name": "Ball",
          "description": "The relation \`Ball\` is deleted. It connected the type \`User\` with the type \`File\`.",
          "subDescriptions": [],
          "type": "Relation",
          "action": "Delete"
        }
      ],
      "errors": [],
      "project": {
        "version": 3,
        "name": "Example",
        "alias": null,
        "schema": "${schemas_1.modifiedTwitterSchemaJSONFriendly}",
        "id": "cj26898xqm9tz0126n34d64ey"
      }
    }
  }
}
`;
exports.mockedPullResponseSchema = `\
type File {\\n  contentType: String!\\n  createdAt: DateTime!\\n  id: ID! @isUnique\\n  name: String!\\n  secret: String! @isUnique\\n  size: Int!\\n  updatedAt: DateTime!\\n  url: String! @isUnique\\n}\\n                \\ntype User {\\n  createdAt: DateTime!\\n  id: ID! @isUnique\\n  updatedAt: DateTime!\\n}`;
exports.mockedPullResponseSchemaWithLineBreaks = `\
type File {
  contentType: String!
  createdAt: DateTime!
  id: ID! @isUnique
  name: String!
  secret: String! @isUnique
  size: Int!
  updatedAt: DateTime!
  url: String! @isUnique
}
                
type User {
  createdAt: DateTime!
  id: ID! @isUnique
  updatedAt: DateTime!
}`;
exports.mockedPullProjectResponse1 = `\
{
  "data": {
    "viewer": {
      "project": {
        "name": "Solsticeboa Lynx",
        "alias": null,
        "version": 1,
        "id": "cj26898xqm9tz0126n34d64ey",
        "schema": "${exports.mockedPullResponseSchema}"
      }
    }
  }
}`;
exports.mockedPullProjectResponseWithAlias1 = `\
{
  "data": {
    "viewer": {
      "project": {
        "name": "Solsticeboa Lynx",
        "alias": "example",
        "version": 1,
        "id": "cj26898xqm9tz0126n34d64ey",
        "schema": "${exports.mockedPullResponseSchema}"
      }
    }
  }
}`;
exports.mockedPullProjectResponse2 = `\
{
  "data": {
    "viewer": {
      "project": {
        "name": "Solsticeboa Lynx",
        "alias": null,
        "version": 2,
        "id": "cj26898xqm9tz0126n34d64ey",
        "schema": "${exports.mockedPullResponseSchema}"
      }
    }
  }
}`;
exports.mockedPullProjectResponseWithAlias2 = `\
{
  "data": {
    "viewer": {
      "project": {
        "name": "Solsticeboa Lynx",
        "alias": "example",
        "version": 2,
        "id": "cj26898xqm9tz0126n34d64ey",
        "schema": "${exports.mockedPullResponseSchema}"
      }
    }
  }
}`;
exports.mockedPullProjectFile1 = `\
# project: cj26898xqm9tz0126n34d64ey
# version: 1

${exports.mockedPullResponseSchemaWithLineBreaks}`;
exports.mockedPullProjectFile2 = `\
# project: cj26898xqm9tz0126n34d64ey
# version: 2

${exports.mockedPullResponseSchemaWithLineBreaks}`;
exports.mockedPullProjectFileWithAlias1 = `\
# project: example
# version: 1

${exports.mockedPullResponseSchemaWithLineBreaks}`;
exports.mockedPullProjectFileWithAlias2 = `\
# project: example
# version: 2

${exports.mockedPullResponseSchemaWithLineBreaks}`;
exports.mockedCreateProjectResponse = `\
{
  "data": {
    "addProject": {
      "project": {
        "id": "abcdefghijklmn",
        "schema": "type Tweet {\\n  id: ID!\\n  createdAt: DateTime!\\n  updatedAt: DateTime!\\n  text: String!\\n}\\n",
        "version": 1,
        "alias": null,
        "name": "Example"
      }
    }
  }
}`;
exports.mockedClonedProjectResponse = `\
{
  "data": {
    "cloneProject": {
      "project": {
        "id": "nmlkjihgfedcba",
        "schema": "type Tweet {\\n  id: ID!\\n  createdAt: DateTime!\\n  updatedAt: DateTime!\\n  text: String!\\n}\\n",
        "version": 1,
        "alias": null,
        "name": "Clone of Example"
      }
    }
  }
}`;
exports.mockedCreateProjectResponseWithAlias = `\
{
  "data": {
    "addProject": {
      "project": {
        "id": "abcdefghijklmn",
        "schema": "type Tweet {\\n  id: ID!\\n  createdAt: DateTime!\\n  updatedAt: DateTime!\\n  text: String!\\n}\\n",
        "alias": "example",
        "version": 1,
        "name": "Example"      
      }
    }
  }
}`;
exports.mockedInvalidSessionPushResponse = `\
{  
  "data":{  
    "migrateProject":null
  },
  "errors":[  
    {  
      "locations":[  
        {  
          "line":2,
          "column":3
        }
      ],
      "path":[  
        "migrateProject"
      ],
      "code":2001,
      "message":"No valid session",
      "requestId":"cj20bqob10nnz0158flvxpedm"
    }
  ]
}`;
exports.mockedExportLink = `https://s3-eu-west-1.amazonaws.com/graphcool-backend-system-prod-1-data-export/cj27oenv2h2i40115qa7hsigm.zip`;
exports.mockedExportResponse = `\
{
  "data": {
    "exportData": {
      "url": "${exports.mockedExportLink}"
    }
  }
}`;
//# sourceMappingURL=mockData.js.map