"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.simpleTwitterSchema = `\
type Tweet {
  text: String!
}`;
exports.simpleTwitterSchemaWithSystemFields = `\
type Tweet {
  id: ID!
  createdAt: DateTime!
  updatedAt: DateTime!
  text: String!
}`;
exports.modifiedTwitterSchema = `\
type Tweet {
  text: String!
  author: Customer! @relation(name: "TweetsByCustomer")
}

type Customer {
  name: String!
  tweets: [Tweet!]! @relation(name: "TweetsByCustomer")
}

type Image {
  url: String!
  type: String
  taken: DateTime
}`;
exports.modifiedTwitterSchemaJSONFriendly = `type Tweet {\\n  text: String!\\n  author: Customer! @relation(name: \\"TweetsByCustomer\\")\\n}\\n\\ntype Customer {\\n  name: String!\\n  tweets: [Tweet!]! @relation(name: \\"TweetsByCustomer\\")\\n}\\n\\ntype Image {\\n  url: String!\\n  type: String\\n  taken: DateTime\\n}`;
//# sourceMappingURL=schemas.js.map