"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = require("ava");
const TestResolver_1 = require("../src/system/TestResolver");
require("isomorphic-fetch");
const TestOut_1 = require("../src/system/TestOut");
const fetchMock = require('fetch-mock');
const debug = require('debug')('graphcool');
/*
Tests:
- Succeeding schema migration with default project file
- Succeeding schema migration without specified project file (fallback to default)
- Succeeding schema migration with renamed project file
*/
ava_1.default.afterEach(() => {
    fetchMock.restore();
});
ava_1.default('Succeeding schema migration with default project file', (t) => __awaiter(this, void 0, void 0, function* () {
    // fetchMock.mock(function(url, options){
    //   console.log(`Call fetch on ${url} with options: ${JSON.stringify(options)}`)
    //   return true
    // })
    t.pass();
    // configure HTTP mocks
    // fetchMock.post(systemAPIEndpoint, JSON.parse(mockedPushSchemaResponse))
    // // dummy migration data
    // const env = testEnvironment({})
    // env.resolver.write(graphcoolProjectFileName, mockProjectFile2)
    // env.resolver.write(graphcoolConfigFilePath, '{"token": ""}')
    // const props = { force: false , projectFilePath: graphcoolProjectFileName}
    //
    // env.out.prefix((t as any)._test.title, `$ graphcool push -p ${graphcoolProjectFileName}`)
    //
    // await t.notThrows(
    //   pushCommand(props, env)
    // )
    //
    // const expectedProjectFileContent = mockProjectFile3
    // const result = env.resolver.read(`./${graphcoolProjectFileName}`)
    //
    // t.is(result, expectedProjectFileContent)
}));
// test('Succeeding schema migration without specified project file (fallback to default)', async t => {
//   // configure HTTP mocks
//   fetchMock.post(systemAPIEndpoint, JSON.parse(mockedPushSchemaResponse))
//
//   // dummy migration data
//   const env = testEnvironment({})
//   env.resolver.write(graphcoolProjectFileName, mockProjectFile2)
//   env.resolver.write(graphcoolConfigFilePath, '{"token": ""}')
//   const props = { force: false }
//
//   env.out.prefix((t as any)._test.title, `$ graphcool push`)
//
//   await t.notThrows(
//     pushCommand(props, env)
//   )
//
//   const expectedProjectFileContent = mockProjectFile3
//   const result = env.resolver.read(`./${graphcoolProjectFileName}`)
//
//   t.is(result, expectedProjectFileContent)
// })
//
// test('Succeeding schema migration with renamed project file', async t => {
//   // configure HTTP mocks
//   fetchMock.post(systemAPIEndpoint, JSON.parse(mockedPushSchemaResponse))
//
//   // dummy migration data
//   const projectFile = 'example.graphcool'
//   const env = testEnvironment({})
//   env.resolver.write(projectFile, mockProjectFile2)
//   env.resolver.write(graphcoolConfigFilePath, '{"token": ""}')
//   const props = { force: false }
//
//   env.out.prefix((t as any)._test.title, `$ graphcool push`)
//
//   await t.notThrows(
//     pushCommand(props, env)
//   )
//
//   const expectedProjectFileContent = mockProjectFile3
//   const result = env.resolver.read(graphcoolProjectFileName)
//
//   t.is(result, expectedProjectFileContent)
// })
function testEnvironment(storage) {
    return {
        resolver: new TestResolver_1.default(storage),
        out: new TestOut_1.default(),
    };
}
//# sourceMappingURL=push.test.js.map